reset;

var r >= 2;
var h >= 2;
var s >= 0;

param pi := 4*atan(1);
param beta;

#minimize S: pi*r*s;
minimize B: pi*r^2;

s.t. vs: r^2 + h^2 = s^2;
s.t. V: pi*r^2*h/3 >= 200;
s.t. S: pi*r*s <= beta;

data;

param beta := Infinity;

let r := 2;
let h := 2;
let s := sqrt(4);

option solver minos;
solve;

printf "S = %lf  B = %lf\n",pi*r*s,pi*r^2;
printf "%lf %lf\n",pi*r*s,pi*r^2 > cone.out;

for{i in 1..1000}{
	let beta := 300 - 0.1*i;
	solve;

	printf "S = %lf  B = %lf\n",pi*r*s,pi*r^2;
	printf "%lf %lf\n",pi*r*s,pi*r^2 > cone.out;
}
